baz_test_counter_cc Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_test_counter_cc.h>`

Inheritance diagram for baz_test_counter_cc:
[legend]

## Public Member Functions

| ~baz_test_counter_cc ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_test_counter_cc_sptr | baz_make_test_counter_cc ()
| Return a shared_ptr to a new instance of baz_test_counter_cc. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_test_counter_cc()

baz_test_counter_cc::~baz_test_counter_cc | ( |  | ) |

## Member Function Documentation

## work()

int baz_test_counter_cc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## baz_make_test_counter_cc

BAZ_API baz_test_counter_cc_sptr baz_make_test_counter_cc | ( |  | ) |

friend

Return a shared_ptr to a new instance of baz_test_counter_cc.

To avoid accidental use of raw pointers, baz_test_counter_cc's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_test_counter_cc.h